Block Sub-Account
curl --request POST \
--url https://whitebit.com/api/v4/sub-account/block \
--header 'Content-Type: application/json' \
--header 'X-TXC-APIKEY: <api-key>' \
--header 'X-TXC-PAYLOAD: <api-key>' \
--header 'X-TXC-SIGNATURE: <api-key>' \
--data '
{
"id": "8e667b4a-0b71-4988-8af5-9474dbfaeb51"
}
'import requests
url = "https://whitebit.com/api/v4/sub-account/block"
payload = { "id": "8e667b4a-0b71-4988-8af5-9474dbfaeb51" }
headers = {
"X-TXC-APIKEY": "<api-key>",
"X-TXC-PAYLOAD": "<api-key>",
"X-TXC-SIGNATURE": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-TXC-APIKEY': '<api-key>',
'X-TXC-PAYLOAD': '<api-key>',
'X-TXC-SIGNATURE': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({id: '8e667b4a-0b71-4988-8af5-9474dbfaeb51'})
};
fetch('https://whitebit.com/api/v4/sub-account/block', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"code": 123,
"message": "<string>",
"errors": {}
}Block Sub-Account
Block a sub-account to temporarily restrict account access to trading and API operations.
Block Sub-Account
Authorizations
The public WhiteBIT API key.
Base64-encoded JSON request body.
HMAC-SHA512 signature of the payload, hex-encoded. Computed as hex(HMAC-SHA512(payload, api_secret)).
Body
application/json
Sub-account id
Example:
"8e667b4a-0b71-4988-8af5-9474dbfaeb51"
Response
Sub-account blocked successfully
The response is of type object.
Was this page helpful?
⌘I